{
    attributes = (
        {
            allowsNull = Y; 
            columnName = CODEEMPLOI; 
            externalType = VARCHAR2; 
            name = codeEmploi; 
            valueClassName = NSString;
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "COM_KEY"; 
            externalType = NUMBER; 
            name = comKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "EVA_KEY"; 
            externalType = NUMBER; 
            name = evaKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = ORDRE; 
            externalType = VARCHAR2; 
            name = ordre; 
            valueClassName = NSString; 
            width = 4; 
        }, 
        {
            columnName = "RNC_KEY"; 
            externalType = NUMBER; 
            name = rncKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (rncKey); 
    className = "org.cocktail.fwkcktlgrh.common.metier.EORepartEvaNouvelleComp"; 
    classProperties = (dCreation, dModification, toCompetence, toEvaluation, toReferensCompetences); 
    externalName = "MANGUE.REPART_NOUVELLE_COMP"; 
    fetchSpecificationDictionary = {}; 
    name = "Fwkgrh_RepartEvaNouvelleComp"; 
    primaryKeyAttributes = (rncKey); 
    relationships = (
        {
            destination = "Fwkpers_Competence"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = comKey; sourceAttribute = comKey; }); 
            name = toCompetence; 
        }, 
        {
            destination = "Fwkgrh_Evaluation"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = evaKey; sourceAttribute = evaKey; }); 
            name = toEvaluation; 
        }, 
        {
            destination = "Fwkpers_ReferensCompetences"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = codeEmploi; sourceAttribute = codeEmploi; }, 
                {destinationAttribute = ordre; sourceAttribute = ordre; }
            ); 
            name = toReferensCompetences; 
        }
    ); 
}
